View Issue Details

IDProjectCategoryView StatusLast Update
0030254RunnerGeneralPublic2019-02-28 09:26
ReporterStewart BishopAssigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.1 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030254: General: Calling an empty script when compiling for YYC throws an error when VM doesn't
DescriptionWhen writing tests earlier today I created the scripts and put the placeholder script calls within my room creation code to call them later when I had finished writing the tests, when compiling for YYC this didn't work as it threw the following compile error:

unknown function "script0" check to see if script is empty
Steps To Reproduce1) Create a project
2) Create a script
3) Open room creation code and call the script
4) Run your game on VM
5) Run your game on YYC
6) See that VM works and YYC doesn't
TagsCompiler
1.4 Found In
2.x Runtime Found In9.9.1.1258
2.x Runtime Verified In2.2.2.311

Activities

Russell Kay

2018-11-28 09:39

Manager   ~0062155

Make this a warning and not an error

Russell Kay

2019-01-31 17:15

Manager   ~0062620

Fixed in gitlab

Dan

2019-02-01 11:58

Adminstrator   ~0062630

Runtime 303+.

Scott Dunbar

2019-02-28 09:26

Adminstrator   ~0063380

Verified as fixed.

IDE 2.2.2.396 Runtime 2.2.2.311